# -*- encoding: utf-8 -*-
# stub: icalendar 2.4.1 ruby lib

Gem::Specification.new do |s|
  s.name = "icalendar".freeze
  s.version = "2.4.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Ryan Ahearn".freeze]
  s.date = "2016-09-04"
  s.description = "Implements the iCalendar specification (RFC-5545) in Ruby.  This allows\nfor the generation and parsing of .ics files, which are used by a\nvariety of calendaring applications.\n".freeze
  s.email = ["ryan.c.ahearn@gmail.com".freeze]
  s.files = [".gitignore".freeze, ".rspec".freeze, ".travis.yml".freeze, "COPYING".freeze, "Gemfile".freeze, "History.txt".freeze, "README.md".freeze, "Rakefile".freeze, "icalendar.gemspec".freeze, "lib/icalendar.rb".freeze, "lib/icalendar/alarm.rb".freeze, "lib/icalendar/calendar.rb".freeze, "lib/icalendar/component.rb".freeze, "lib/icalendar/downcased_hash.rb".freeze, "lib/icalendar/event.rb".freeze, "lib/icalendar/freebusy.rb".freeze, "lib/icalendar/has_components.rb".freeze, "lib/icalendar/has_properties.rb".freeze, "lib/icalendar/journal.rb".freeze, "lib/icalendar/logger.rb".freeze, "lib/icalendar/parser.rb".freeze, "lib/icalendar/timezone.rb".freeze, "lib/icalendar/todo.rb".freeze, "lib/icalendar/tzinfo.rb".freeze, "lib/icalendar/value.rb".freeze, "lib/icalendar/values/active_support_time_with_zone_adapter.rb".freeze, "lib/icalendar/values/array.rb".freeze, "lib/icalendar/values/binary.rb".freeze, "lib/icalendar/values/boolean.rb".freeze, "lib/icalendar/values/cal_address.rb".freeze, "lib/icalendar/values/date.rb".freeze, "lib/icalendar/values/date_or_date_time.rb".freeze, "lib/icalendar/values/date_time.rb".freeze, "lib/icalendar/values/duration.rb".freeze, "lib/icalendar/values/float.rb".freeze, "lib/icalendar/values/integer.rb".freeze, "lib/icalendar/values/period.rb".freeze, "lib/icalendar/values/recur.rb".freeze, "lib/icalendar/values/text.rb".freeze, "lib/icalendar/values/time.rb".freeze, "lib/icalendar/values/time_with_zone.rb".freeze, "lib/icalendar/values/uri.rb".freeze, "lib/icalendar/values/utc_offset.rb".freeze, "lib/icalendar/version.rb".freeze, "spec/alarm_spec.rb".freeze, "spec/calendar_spec.rb".freeze, "spec/downcased_hash_spec.rb".freeze, "spec/event_spec.rb".freeze, "spec/fixtures/event.ics".freeze, "spec/fixtures/nondefault_values.ics".freeze, "spec/fixtures/nonstandard.ics".freeze, "spec/fixtures/recurrence.ics".freeze, "spec/fixtures/single_event.ics".freeze, "spec/fixtures/single_event_bad_dtstart.ics".freeze, "spec/fixtures/single_event_bad_line.ics".freeze, "spec/fixtures/timezone.ics".freeze, "spec/fixtures/two_date_time_events.ics".freeze, "spec/fixtures/two_day_events.ics".freeze, "spec/fixtures/two_events.ics".freeze, "spec/fixtures/two_time_events.ics".freeze, "spec/freebusy_spec.rb".freeze, "spec/journal_spec.rb".freeze, "spec/parser_spec.rb".freeze, "spec/roundtrip_spec.rb".freeze, "spec/spec_helper.rb".freeze, "spec/timezone_spec.rb".freeze, "spec/todo_spec.rb".freeze, "spec/tzinfo_spec.rb".freeze, "spec/values/date_or_date_time_spec.rb".freeze, "spec/values/date_time_spec.rb".freeze, "spec/values/duration_spec.rb".freeze, "spec/values/period_spec.rb".freeze, "spec/values/recur_spec.rb".freeze, "spec/values/text_spec.rb".freeze, "spec/values/utc_offset_spec.rb".freeze]
  s.homepage = "https://github.com/icalendar/icalendar".freeze
  s.post_install_message = "HEADS UP! iCalendar 2.0 is not backwards-compatible with 1.x. Please see the README for the new syntax\n\nHEADS UP! icalendar 2.2.0 switches to non-strict parsing as default. Please see the README if you\nrely on strict parsing for information on how to enable it.\n\nActiveSupport is required for TimeWithZone support, but not required for general use.\n".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 1.9.2".freeze)
  s.rubygems_version = "2.7.7".freeze
  s.summary = "A ruby implementation of the iCalendar specification (RFC-5545).".freeze
  s.test_files = ["spec/alarm_spec.rb".freeze, "spec/calendar_spec.rb".freeze, "spec/downcased_hash_spec.rb".freeze, "spec/event_spec.rb".freeze, "spec/fixtures/event.ics".freeze, "spec/fixtures/nondefault_values.ics".freeze, "spec/fixtures/nonstandard.ics".freeze, "spec/fixtures/recurrence.ics".freeze, "spec/fixtures/single_event.ics".freeze, "spec/fixtures/single_event_bad_dtstart.ics".freeze, "spec/fixtures/single_event_bad_line.ics".freeze, "spec/fixtures/timezone.ics".freeze, "spec/fixtures/two_date_time_events.ics".freeze, "spec/fixtures/two_day_events.ics".freeze, "spec/fixtures/two_events.ics".freeze, "spec/fixtures/two_time_events.ics".freeze, "spec/freebusy_spec.rb".freeze, "spec/journal_spec.rb".freeze, "spec/parser_spec.rb".freeze, "spec/roundtrip_spec.rb".freeze, "spec/spec_helper.rb".freeze, "spec/timezone_spec.rb".freeze, "spec/todo_spec.rb".freeze, "spec/tzinfo_spec.rb".freeze, "spec/values/date_or_date_time_spec.rb".freeze, "spec/values/date_time_spec.rb".freeze, "spec/values/duration_spec.rb".freeze, "spec/values/period_spec.rb".freeze, "spec/values/recur_spec.rb".freeze, "spec/values/text_spec.rb".freeze, "spec/values/utc_offset_spec.rb".freeze]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<rake>.freeze, ["~> 10.0"])
      s.add_development_dependency(%q<bundler>.freeze, ["~> 1.3"])
      s.add_development_dependency(%q<tzinfo>.freeze, ["~> 1.1"])
      s.add_development_dependency(%q<tzinfo-data>.freeze, ["~> 1.2014"])
      s.add_development_dependency(%q<activesupport>.freeze, ["~> 3.2"])
      s.add_development_dependency(%q<i18n>.freeze, ["< 0.7.0"])
      s.add_development_dependency(%q<timecop>.freeze, ["~> 0.7.0"])
      s.add_development_dependency(%q<rspec>.freeze, ["~> 3.0"])
      s.add_development_dependency(%q<simplecov>.freeze, ["~> 0.8"])
    else
      s.add_dependency(%q<rake>.freeze, ["~> 10.0"])
      s.add_dependency(%q<bundler>.freeze, ["~> 1.3"])
      s.add_dependency(%q<tzinfo>.freeze, ["~> 1.1"])
      s.add_dependency(%q<tzinfo-data>.freeze, ["~> 1.2014"])
      s.add_dependency(%q<activesupport>.freeze, ["~> 3.2"])
      s.add_dependency(%q<i18n>.freeze, ["< 0.7.0"])
      s.add_dependency(%q<timecop>.freeze, ["~> 0.7.0"])
      s.add_dependency(%q<rspec>.freeze, ["~> 3.0"])
      s.add_dependency(%q<simplecov>.freeze, ["~> 0.8"])
    end
  else
    s.add_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_dependency(%q<bundler>.freeze, ["~> 1.3"])
    s.add_dependency(%q<tzinfo>.freeze, ["~> 1.1"])
    s.add_dependency(%q<tzinfo-data>.freeze, ["~> 1.2014"])
    s.add_dependency(%q<activesupport>.freeze, ["~> 3.2"])
    s.add_dependency(%q<i18n>.freeze, ["< 0.7.0"])
    s.add_dependency(%q<timecop>.freeze, ["~> 0.7.0"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_dependency(%q<simplecov>.freeze, ["~> 0.8"])
  end
end

